## ros-foxy-test-rmw-implementation 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(test_rmw_implementation)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(osrf_testing_tools_cpp REQUIRED)

  find_package(rcutils REQUIRED)
  find_package(rmw REQUIRED)
  find_package(rmw_implementation REQUIRED)
  find_package(rmw_implementation_cmake REQUIRED)
  find_package(test_msgs REQUIRED)
  find_package(rmw_dds_common REQUIRED)

  macro(test_api)
    find_package(${rmw_implementation} REQUIRED)
    message(STATUS "Creating API tests for '${rmw_implementation}'")
    set(rmw_implementation_env_var RMW_IMPLEMENTATION=${rmw_implementation})

    ament_add_gtest(test_init_shutdown${target_suffix}
      test/test_init_shutdown.cpp
      ENV ${rmw_implementation_env_var}
    )
    target_compile_definitions(test_init_shutdown${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_init_shutdown${target_suffix}
      osrf_testing_tools_cpp rcutils rmw rmw_implementation
    )

    ament_add_gtest(test_init_options${target_suffix}
      test/test_init_options.cpp
      ENV ${rmw_implementation_env_var}
    )
    target_compile_definitions(test_init_options${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_init_options${target_suffix}
      osrf_testing_tools_cpp rcutils rmw rmw_implementation
    )

    ament_add_gtest(test_create_destroy_node${target_suffix}
      test/test_create_destroy_node.cpp
      ENV ${rmw_implementation_env_var}
    )
    target_compile_definitions(test_create_destroy_node${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_create_destroy_node${target_suffix}
      osrf_testing_tools_cpp rcutils rmw rmw_implementation
    )

    ament_add_gtest(test_publisher${target_suffix}
      test/test_publisher.cpp
      ENV ${rmw_implementation_env_var}
    )
    target_compile_definitions(test_publisher${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_publisher${target_suffix}
      osrf_testing_tools_cpp rcutils rmw rmw_implementation test_msgs
    )

    ament_add_gtest(test_subscription${target_suffix}
      test/test_subscription.cpp
      ENV ${rmw_implementation_env_var}
      TIMEOUT 120
    )
    target_compile_definitions(test_subscription${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_subscription${target_suffix}
      osrf_testing_tools_cpp rcutils rmw rmw_implementation test_msgs rmw_dds_common
    )

    ament_add_gtest(test_serialize_deserialize${target_suffix}
      test/test_serialize_deserialize.cpp
      ENV ${rmw_implementation_env_var}
    )
    target_compile_definitions(test_serialize_deserialize${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_serialize_deserialize${target_suffix}
      rcutils rmw rmw_implementation test_msgs
    )

    ament_add_gtest(test_publisher_allocator${target_suffix}
      test/test_publisher_allocator.cpp
      ENV ${rmw_implementation_env_var}
    )
    target_compile_definitions(test_publisher_allocator${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_publisher_allocator${target_suffix}
      rmw rmw_implementation
    )
    ament_add_gtest(test_subscription_allocator${target_suffix}
      test/test_subscription_allocator.cpp
      ENV ${rmw_implementation_env_var}
    )
    target_compile_definitions(test_subscription_allocator${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_subscription_allocator${target_suffix}
      rmw rmw_implementation
    )

    ament_add_gtest(test_wait_set${target_suffix}
      test/test_wait_set.cpp
      ENV ${rmw_implementation_env_var}
    )
    target_compile_definitions(test_wait_set${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_wait_set${target_suffix}
      rmw rmw_implementation rcutils osrf_testing_tools_cpp test_msgs
    )

    ament_add_gtest(test_graph_api${target_suffix}
      test/test_graph_api.cpp
      ENV ${rmw_implementation_env_var}
      TIMEOUT 120
    )
    target_compile_definitions(test_graph_api${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_graph_api${target_suffix}
      osrf_testing_tools_cpp rcutils rmw rmw_implementation
    )

    ament_add_gtest(test_unique_identifiers${target_suffix}
      test/test_unique_identifiers.cpp
      ENV ${rmw_implementation_env_var}
    )
    target_compile_definitions(test_unique_identifiers${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_unique_identifiers${target_suffix}
      osrf_testing_tools_cpp rcutils rmw rmw_implementation test_msgs
    )

    ament_add_gtest(test_service${target_suffix}
      test/test_service.cpp
      ENV ${rmw_implementation_env_var}
    )
    target_compile_definitions(test_service${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_service${target_suffix}
      osrf_testing_tools_cpp rcutils rmw rmw_implementation test_msgs
    )

    ament_add_gtest(test_client${target_suffix}
      test/test_client.cpp
      ENV ${rmw_implementation_env_var}
      TIMEOUT 120
    )
    target_compile_definitions(test_client${target_suffix}
      PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
    ament_target_dependencies(test_client${target_suffix}
      osrf_testing_tools_cpp rcutils rmw rmw_implementation test_msgs
    )
  endmacro()

  call_for_each_rmw_implementation(test_api)

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-test-rmw-implementation (1.0.3-1focal) focal; urgency=high

  * Add test to check rmw_send_response when the client is gone (#163 <https://github.com/ros2/rmw_implementation/issues/163>)
  * Contributors: José Luis Bueno López

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 31 Jan 2022 08:00:00 -0000

ros-foxy-test-rmw-implementation (1.0.2-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-test-rmw-implementation (1.0.1-1focal) focal; urgency=high

  * Fixed rmw_create_node arguments
  * Add fault injection tests to construction/destroy APIs.  (#144 <https://github.com/ros2/rmw_implementation/issues/144>)
  * Fixed function rmw_create_node in tests
  * Add tests bad type_support implementation (#152 <https://github.com/ros2/rmw_implementation/issues/152>)
  * Add tests for localhost-only node creation (#150 <https://github.com/ros2/rmw_implementation/issues/150>)
  * Use 10x the intraprocess delay to wait for sent requests. (#148 <https://github.com/ros2/rmw_implementation/issues/148>)
  * Added rmw_wait, rmw_create_wait_set, and rmw_destroy_wait_set tests (#139 <https://github.com/ros2/rmw_implementation/issues/139>)
  * Added rmw_service_server_is_available tests (#140 <https://github.com/ros2/rmw_implementation/issues/140>)
  * Add tests service/client request/response with bad arguments (#141 <https://github.com/ros2/rmw_implementation/issues/141>)
  * Fixed function rmw_create_node in tests
  * Added rmw_wait, rmw_create_wait_set, and rmw_destroy_wait_set tests (#139 <https://github.com/ros2/rmw_implementation/issues/139>)
  * Added test for rmw_get_serialized_message_size (#142 <https://github.com/ros2/rmw_implementation/issues/142>)
  * Add service/client construction/destruction API test coverage. (#138 <https://github.com/ros2/rmw_implementation/issues/138>)
  * Added rmw_publisher_allocation and rmw_subscription_allocation related tests (#137 <https://github.com/ros2/rmw_implementation/issues/137>)
  * Add tests take serialized with info bad arguments (#130 <https://github.com/ros2/rmw_implementation/issues/130>)
  * Add gid API test coverage. (#134 <https://github.com/ros2/rmw_implementation/issues/134>)
  * Add tests take bad arguments  (#125 <https://github.com/ros2/rmw_implementation/issues/125>)
  * Bump graph API test coverage. (#132 <https://github.com/ros2/rmw_implementation/issues/132>)
  * Add tests take sequence serialized with bad arguments (#129 <https://github.com/ros2/rmw_implementation/issues/129>)
  * Add tests take sequence + take sequence with bad arguments (#128 <https://github.com/ros2/rmw_implementation/issues/128>)
  * Add tests take with info bad arguments (#126 <https://github.com/ros2/rmw_implementation/issues/126>)
  * Add tests for non-implemented rmw_take_* functions (#131 <https://github.com/ros2/rmw_implementation/issues/131>)
  * Add tests publish serialized bad arguments (#124 <https://github.com/ros2/rmw_implementation/issues/124>)
  * Add tests publish bad arguments (#123 <https://github.com/ros2/rmw_implementation/issues/123>)
  * Add tests non-implemented functions + loan bad arguments (#122 <https://github.com/ros2/rmw_implementation/issues/122>)
  * Add missing empty topic name tests. (#136 <https://github.com/ros2/rmw_implementation/issues/136>)
  * Add rmw_get_serialization_format() smoke test. (#133 <https://github.com/ros2/rmw_implementation/issues/133>)
  * Complete publisher/subscription QoS query API test coverage. (#120 <https://github.com/ros2/rmw_implementation/issues/120>)
  * Remove duplicate assertions (#121 <https://github.com/ros2/rmw_implementation/issues/121>)
  * Add publisher/subscription matched count API test coverage. (#119 <https://github.com/ros2/rmw_implementation/issues/119>)
  * Fixed rmw_create_node
  * Add serialize/deserialize API test coverage. (#118 <https://github.com/ros2/rmw_implementation/issues/118>)
  * Add subscription API test coverage. (#117 <https://github.com/ros2/rmw_implementation/issues/117>)
  * Extend publisher API test coverage (#115 <https://github.com/ros2/rmw_implementation/issues/115>)
  * Add node construction/destruction API test coverage. (#112 <https://github.com/ros2/rmw_implementation/issues/112>)
  * Check that rmw_init() fails if no enclave is given. (#113 <https://github.com/ros2/rmw_implementation/issues/113>)
  * Add init options API test coverage. (#108 <https://github.com/ros2/rmw_implementation/issues/108>)
  * Complete init/shutdown API test coverage. (#107 <https://github.com/ros2/rmw_implementation/issues/107>)
  * Add dependency on ament_cmake_gtest (#109 <https://github.com/ros2/rmw_implementation/issues/109>)
  * Add test_rmw_implementation package. (#106 <https://github.com/ros2/rmw_implementation/issues/106>)
  * Contributors: Alejandro Hernández Cordero, Geoffrey Biggs, Jose Tomas Lorente, Michel Hidalgo, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 21 Oct 2020 07:00:00 -0000

=== debian/control ===
Source: ros-foxy-test-rmw-implementation
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-osrf-testing-tools-cpp, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rmw-dds-common, ros-foxy-rmw-implementation, ros-foxy-rmw-implementation-cmake, ros-foxy-test-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-test-rmw-implementation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ros-workspace
Description: Test suite for ROS middleware API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-test-rmw-implementation//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
